Bug 517923 - fd leak.
Summary: fd leak.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 21:30 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-29 14:45:03 UTC


Attachments (Terms of Use)

Description Dave Jones 2009-08-17 21:30:32 UTC
insert an ipod, select a bunch of songs, and drag them to the ipod. RB will start doing the copy/conversion process, but for every song, it's leaking a file descriptor.
This can be seen in /proc/(pidof rhythmbox)/fd/

After a while, the per-process limit is reached, and rb starts popping up hundreds of dialog windows, which causes metacity to freak out.
The only way out of this death spiral is to kill rb and metacity from the console, as X stops responding to events.

running rb in debug mode also shows the leak ..

 (17:21:08) [0x19f3770] [attach_output_pipeline] rb-encoder-gst.c:600: attempting to open output file file:///media/IPOD/iPod_Control/Music/F47/NIN%20-%20Good%20Soldier%20(sam%20~ZL.mp3
(17:21:08) [0x19f3770] [error_cb] rb-removable-media-manager.c:962: Error transferring track to file:///media/IPOD/iPod_Control/Music/F47/NIN%20-%20Good%20Soldier%20(sam%20~ZL.mp3: Error opening file '/media/IPOD/iPod_Control/Music/F47/NIN - Good Soldier (sam ~ZL.mp3': Too many open files

rhythmbox-0.12.3-1.fc11.x86_64

Comment 1 Dave Jones 2009-10-28 18:00:00 UTC
This seems to be fixed in the version of rhythmbox in F12.

Comment 2 Bastien Nocera 2009-10-29 14:45:03 UTC
Great, thanks


Note You need to log in before you can comment on or make changes to this bug.